For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a Message

Create a Message

post

Create a new message. Specify the recipient, content, and any relevant metadata in the request body.

Authorizations
AuthorizationstringRequired

Answering Service Care uses bearer token authentication. Generate API tokens from your user profile under Application Keys.

Body
Other propertiesanyOptional
Responses
200

Successful response

application/json
post/api/v2/messages
POST /api/v2/messages HTTP/1.1
Host: secure.answeringservicecare.com
Authorization: Bearer YOUR_API_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 173

{
  "message": {
    "content": "Hi there testing the API",
    "origin": "AI_CALL",
    "escalation_level_id": 12,
    "account_number": "W9623",
    "from_ai_assistant": true,
    "answers": {
      "test": "Testing"
    }
  }
}
{
  "data": {
    "id": 939,
    "read": true,
    "phone_number": "text",
    "extension": "text",
    "caller_id": "9548326297",
    "first_name": "text",
    "last_name": "text",
    "company_name": "text",
    "content": "This is a test message",
    "status": "delivered",
    "account_id": 4,
    "agent_id": 3,
    "user_id": 1,
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "ivr": "text",
    "pickup_date": "2026-01-01T00:00:00.000Z",
    "pickup_user_id": 1,
    "contact_id": 541,
    "delivered_at": "2026-01-01T00:00:00.000Z",
    "delivered_by": 3,
    "delivered_to": 1,
    "phone": "text",
    "email": "text",
    "call_ref_id": "text",
    "sale_id": 1,
    "note": "text",
    "did_id": 5,
    "address": "text",
    "address2": "text",
    "city": "text",
    "state": "text",
    "zip": "text",
    "how_you_hear_about_us": "text",
    "is_emergency": true,
    "alt_phone": "text",
    "positive_data_dip": true,
    "answers": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "escalation_level_id": 7,
    "next_escalation_at": "2026-01-01T00:00:00.000Z",
    "receiver_name": "John Doe",
    "non_message_type": "hang_up",
    "activities_count": 6,
    "closing_action_group_id": 1,
    "email_subject": "text",
    "escalation_counter": 0,
    "origin": "CALL",
    "message_received_date": "2026-01-01T00:00:00.000Z",
    "disposition": "text",
    "call_id": 1,
    "chat_session_id": 1,
    "to_do_task_id": 1,
    "from_to_do": false,
    "send_at": "2026-01-01T00:00:00.000Z",
    "uuid": "123e4567-e89b-12d3-a456-426614174000",
    "klass_names": "text"
  }
}

Last updated

Was this helpful?